
<ion-header>

  <ion-navbar>
    <ion-title>{{movie.title}}</ion-title>
  </ion-navbar>

</ion-header>

<ion-content class="background">
  <ion-spinner *ngIf="loading" name="crescent"></ion-spinner>
  <ion-grid [hidden]="loading" style="padding: 0">
    <ion-row>
      <iframe class="trailer" *ngIf="playTrailer" [src]='videoUrl' frameborder="0"></iframe>
      <img [hidden]="playTrailer" src="{{imageUrl}}{{movie.backdrop_path}}" (load)="hasLoaded()" class="locandina-background"/>
      <ion-fab [hidden]="playTrailer" *ngIf="trailerDisponibile" class="play-trailer-icon">
        <button ion-fab mini (click)="play()"><ion-icon name="play" class="remove"></ion-icon></button>
      </ion-fab>
    </ion-row>
    <ion-row style="margin-top: 5px">
      <ion-col col-3 offset-1 *ngIf="movie.release_date">
        <span>
          <ion-icon name="calendar"></ion-icon>
          <i>{{movie.release_date | slice:0:4}}</i>
        </span>
      </ion-col>
      <ion-col col-3 *ngIf="movie.runtime">
        <span>
          <ion-icon name="timer" isActive="true"></ion-icon>
          <i>{{movie.runtime}}'</i>
        </span>
      </ion-col>
      <ion-col col-3 *ngIf="movie.vote_average">
        <span>
          <ion-icon name="star"></ion-icon>
          <i>{{movie.vote_average}}</i>
        </span>
      </ion-col>
    </ion-row>
    <ion-row class="genres">
      <ion-chip *ngFor="let genre of movie.genres; let i = index; let last = last; let first = first">
          {{genre.name}}
      </ion-chip>
    </ion-row>
    <ion-row class="selection">
      <ion-col col-4 offset-2>
        <button style="background-color: #f9df88" (click)="addListFavourites()">
          <div>
            <ion-icon class="action" name='heart'></ion-icon>
            <br>
            <label>Preferiti</label>
          </div>
        </button>
      </ion-col>
      <ion-col col-5 offset-1>
        <button style="background-color: #f9df88" (click)="addListToSee()">
          <div>
            <ion-icon class="action" name='eye'></ion-icon>
            <br>
            <label>Da vedere</label>
          </div>
        </button>
      </ion-col>
    </ion-row>
    <ion-row>
      <h6 style="margin: 3%">Trama</h6>
      <p *ngIf="movie.overview" style="margin: 3%; text-align: justify">{{movie.overview}}</p>
    </ion-row>
    <p *ngIf="!movie.overview" style="margin: 3%; text-align: justify">Trama non disponibile.</p>
    <ion-row>
      <h6 style="margin: 3%">Altri titoli simili</h6>
      <ion-grid>
        <ion-row>
          <ng-container *ngFor="let movie of similarMovies; let i = index">
            <ion-col col-6 col-md-4 *ngIf="movie.poster_path">
              <ion-card (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card">
                <img src="{{imageUrl}}{{movie.poster_path}}" class="locandina"/>
              </ion-card>
            </ion-col>
          </ng-container>
          <p *ngIf="similarMovies.length == 0" style="margin: 3%; text-align: justify">Titoli simili non disponibili.</p>
        </ion-row>
      </ion-grid>
    </ion-row>
  </ion-grid>
</ion-content>
